Package com.databend.jdbc

## Enum DatabendColumnInfo.Nullable

- java.lang.Object
- - java.lang.Enum<DatabendColumnInfo.Nullable>
  - - com.databend.jdbc.DatabendColumnInfo.Nullable

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabendColumnInfo.Nullable>`

Enclosing class:
  DatabendColumnInfo

    public static enum DatabendColumnInfo.Nullable
    extends Enum<DatabendColumnInfo.Nullable>

### Enum Constant Summary

Enum Constants
`NO_NULLS`
`NULLABLE`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static DatabendColumnInfo.Nullable` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DatabendColumnInfo.Nullable[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NO_NULLS

    public static final DatabendColumnInfo.Nullable NO_NULLS

#### NULLABLE

    public static final DatabendColumnInfo.Nullable NULLABLE

#### UNKNOWN

    public static final DatabendColumnInfo.Nullable UNKNOWN

### Method Detail

#### values

    public static DatabendColumnInfo.Nullable[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DatabendColumnInfo.Nullable c : DatabendColumnInfo.Nullable.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DatabendColumnInfo.Nullable valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null